Subject: Business Air News Bulletin - March 28, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 29 Mar 2023 05:01:59 +0000

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Atlantic goes full speed on facility enhancements

Construction is under way on an expansion project in Massachusetts, and at Scottsdale work has completed on a hangar and office building complex that makes Atlantic the largest FBO on the airport.

Falcon Field lands new fueller and FBO

As Mesa's Falcon Field airport in Arizona quickly expands, so does the high demand for fuel and other aviation services. Two Arizona natives draw inspiration from Howard Hughes as a new FBO opens for business.

Atlantic moves forward in Florida and Nashville

A newly constructed FBO at FXE replaces Atlantic's older terminal and hangars across the field, which will now provide additional capacity for the company's based customers. Nashville facilities will complete by year end.

APP Hayward expands green fuelling options

UL94 Avgas is a greener aviation fuel alternative, now offered at Hayward Executive airport in California through APP Jet Center.

LifeFlight works towards Brisbane base at Archerfield

LifeFlight Group head of aviation capability Michael Richmond says a project at Archerfield gives the aeromedical service the ability to future-proof maintenance to meet the needs of Queenslanders for years.

NATA picks out Textron to receive sustainability award

Textron Aviation remains an active participant in conversations and industry events dedicated to sustainability initiatives in aviation, including NATA's Green Aviation Business certification, which it recently received.

To unsubscribe, please contact [email-masked].